import { MDCSelect } from '@material/select';
import { BigNumber } from 'ethers';
export declare class NKEditionMintButton {
  disabled: boolean;
  loading: boolean;
  quantity: number;
  maxQuantity: number;
  maxPerWallet: number;
  maxPerMint: number;
  price: BigNumber;
  active: boolean;
  selections: number[];
  dialogOpen: boolean;
  selectedValue: number;
  /**
   * Edition ID
   */
  editionId: number;
  /**
   * Title on the success modal
   */
  successTitle: string;
  /**
   * Body message on the success modal
   */
  successMessage: string;
  container: HTMLDivElement;
  select: MDCSelect | null;
  selectedText: HTMLSpanElement;
  dialogTitle: string;
  dialogMessage: string;
  disconnect: () => void;
  componentWillLoad(): void;
  componentDidLoad(): void;
  componentDidUpdate(): void;
  disconnectedCallback(): void;
  mint(quantity: number): Promise<void>;
  private setSelectedText;
  private optionClasses;
  render(): any;
}
